package com.manubet.android.touristAndroid;

import java.net.MalformedURLException;
import java.net.URL;

//import android.util.Log;


public class Place {
	
private String nombre;
private double lat;
private double lng;
private String summary;
private URL imagen;
private URL url;

public Place(String nom, double lat, double lng,String img,String web,String summary){
	setNombre(nom);
	this.setLat(lat);
	this.setLng(lng);
	this.setSummary(summary);
	try {
		setImagen(new URL(img));
	} catch (MalformedURLException e) {
		//Log.d("PLACE","sin imagen");
			}
	
	try {
		setUrl(new URL("http://"+web));
	} catch (MalformedURLException e) {
		e.printStackTrace();
	}
	
}

public void setNombre(String nombre) {
	this.nombre = nombre;
}

public String getNombre() {
	return nombre;
}

public void setLat(double lat) {
	this.lat = lat;
}

public double getLat() {
	return lat;
}

public void setLng(double lng) {
	this.lng = lng;
}

public double getLng() {
	return lng;
}

public void setImagen(URL imagen) {
	this.imagen = imagen;
}

public URL getImagen() {
	return imagen;
}

public void setUrl(URL url) {
	this.url = url;
}

public URL getUrl() {
	return url;
}

public void setSummary(String summary) {
	this.summary = summary;
}

public String getSummary() {
	return summary;
}
}

